.form-container {
  max-width: 80%;
  margin: 0 auto;
  background: rgba(255, 255, 255, 0);
  padding: 0px;
  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.2);
  overflow-x: hidden;
}

.home-btn {
  position: fixed;
  top: 20px;
  left: 20px;
  padding: 8px 14px;
  background: rgba(0, 0, 0, 0.5);
  color: #fff;
  text-decoration: none;
  font-size: 14px;
  font-weight: bold;
  border-radius: 20px;
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  transition: 0.2s ease;
  z-index: 1000;
}

.home-btn:hover {
  background: rgba(0, 0, 0, 0.75);
  transform: translateY(-1px);
}

h2 {
  text-align: center;
  font-size: 28px;
  font-weight: 700;
  margin-top: 70px;
  color: rgba(255, 255, 255, 0.9);
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif;
}

.back-btn {
  position: fixed;
  top: 20px;
  left: 20px;
  font-size: 13px;
  color: #0071e3;
  text-decoration: none;
  padding: 6px 12px;
  border-radius: 20px;
  background: rgba(0, 0, 0, 0.04);
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  transition: 0.2s ease;
}

.back-btn,
.lang-switch a {
  color: #ddd;
}

a {
  color: #ddd;
}

.back-btn:hover {
  background: rgba(0, 0, 0, 0.1);
}

.form-container iframe {
  width: 100%;
  border: none;
  border-radius: 8px;
}

.footer {
  text-align: center;
  margin-top: 48px;
  font-size: 12px;
  color: #aaa;
  margin-bottom: 50px;
}

.iframe-wrapper {
  position: relative;
  background: #fff; /* 白背景 */
  border-radius: 8px;
  overflow: hidden;
}

.iframe-wrapper iframe {
  display: block;
  width: 100%;
  height: 100vh;
  border: none;
  box-sizing: border-box;
}

@media (max-width: 768px) {
  .form-container {
    max-width: 90%;
    margin: 0 auto;
    padding: 0px;
  }

  .form-container iframe {
    height: 100vh;
  }
}
